/* Flex container for reordering */
.custom-module {
  display: flex; /* Default: side by side on desktop */
  width: auto;
  /*   background-color: #D5FBF9; /* Mint color */
  border-style: solid;
  border-color: #D5FBF9;
  border-width: 2px;
  border-radius: 30px; /* Rounded edges */
  padding: 50px;
}

.button-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* Creates a 4x2 layout */
  column-gap: 100px; /* Adds spacing between buttons */
  row-gap: 100px;
  height: fit-content;
  width: 100%; /* Two-thirds of the module */
  align-self: center;
}

.label-button {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #D5FBF9; /* Default button color */
  color: #161623;
  border: 2px solid #161623;
  border-radius: 80px; /* Rounded button edges */
  padding: 10px;
  text-decoration: none;
  font-family: 'Open Sans semibold';
  font-size: 22px;
}

.label-button:hover {
  background-color: #161623 ; /* Hover effect */
  color: #ffffff; /* Inverted colors */
  border: 2px solid #D5FBF9;
  font-family: 'Open Sans semibold';
  font-size: 22px;
  text-decoration: none !important;
}

.text-button {
  display: flex;
}

.text-button a {
  text-decoration: none !important;
  font-weight: 600;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 16px;
  color: #161623;
}

.text-button a :hover{
  color: #1D616B;
  text-decoration: none !important;
}

.button-icon {
  height: auto;
  display: flex;
  text-align: right !important;
  padding-left: 10px;
}

/* .button-icon circle:hover  {
fill: #1D616B;
} */

.button-icon a:hover {
  fill: grey;
}

.text-button-mobile {
  display: none;
}

/* Media query for mobile devices */
@media (max-width: 770px) {
  .custom-module {
    display: grid;
    padding: 20px;
    width: 100% !important;
  }

  .rich-text {
    display: block;
    width: 100%; 
    order: 1;
    text-align: center;
    padding-bottom: 20px;
    padding-top: 20px;
    padding-left: 0;
  }

  .rich-text h4 {
    font-size: 32 !important;
  }

  .rich-text p {
    font-size: 16px !important;
  }

  .button-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    column-gap: 10px; /* Adds spacing between buttons */
    row-gap: 10px;
    height: fit-content;
    width: 100%; 
    align-self: center;
    padding-right: 0px;
    padding-bottom: 0px;
    order: 2;
  }

  .label-button {
    font-family: 'Open Sans';
    font-size: 16px;
  }

  .label-button:hover {
    font-family: 'Open Sans';
    font-size: 16px;
  }

  .text-button {
    display: none;
  }

  .text-button-mobile {
    display: flex;
    order: 2;
    flex-wrap: nowrap;
    justify-content: center;
  }

  .text-button-mobile a {
    text-decoration: none !important;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: 16px;
    color: #161623;
  }

  .text-button-mobile a :hover{
    color: #1D616B;
  }

  .button-icon {
    height: auto;
    display: flex;
    text-align: right !important;
    padding-left: 10px;
  }
}